#include <iostream>

using namespace std;

int main()
{
    int t;
    cin>>t;
    int r;
    for(int i=0; i<t; i++){
        int n,br=0;
        cin>>n;
        int t[n];
        for(int i=1; i<n+1; i++){
            int pom=i;
            t[i-1]=pom%10;
            pom=pom/10;
            while(pom>0){
                t[i-1]=t[i-1]*(pom%10);
                pom=pom/10;
            }
        }
        if(n>10){
            br=br+1;
            for(int i=0; i<n; i++){
                if(t[i]==0){
                    br=br;
                }
                else{
                    br=br+1;
                    for(int j=i+1; j<n; j++){
                        if(t[i]==t[j]){
                            t[j]=0;
                        }
                    }
                }
            }
        }
        else{
            br=n;
        }
        cout<<br<<endl;
    }
}